Bug 865495 - RPM installation - remove information about possibility of RPM upgrade from EWS1
RPM installation - remove information about possibility of RPM upgrade from EWS1
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Web Server 2
Classification: JBoss
Component: doc-Installation-Guide (Show other bugs)
2.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Misha H. Ali
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 11:07 EDT by Ondrej Chaloupka
Modified: 2012-11-08 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-08 17:11:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondrej Chaloupka 2012-10-11 11:07:38 EDT
On basis of communication with John Doyle, please, remove information about possibility of upgrade EWS1 to EWS2 with yum upgrade command how it's mentioned in chapter:

http://documentation-devel.engineering.redhat.com/docs/en-US/JBoss_Enterprise_Web_Server/2/html-single/Installation_Guide/index.html#sec-Upgrading_RPM_Installation

Upgrading is not supported feature.
Comment 1 Misha H. Ali 2012-10-11 17:54:02 EDT
This section is now removed. This bug will be set to ON_QA when the changes can be verified on the stage.
Comment 2 Ondrej Chaloupka 2012-10-12 01:14:36 EDT
Hi,

I was thinking about this bz and I think that would be  better to inform customer that we do not support upgrade and that upgrade means new installation as the appropriate section mentions.

I'm returning to assigned for this reason. In case that you think that it's not necessary or not a good idea, please, return this bz back to me and I'll verified it.

Thank you
Comment 3 Misha H. Ali 2012-10-12 01:18:00 EDT
Sounds good, Ondrej. I'll add a quick note under the upgrade header just to make it clear that we do not support upgrades and a fresh install is the way to go. I'll set this back to ON_QA with a link once this is done.
Comment 4 Misha H. Ali 2012-10-12 01:28:30 EDT
Ondrej, I have also removed additional upgrade chapters, such as:

Upgrade EWS on RHEL (non RPM)
Upgrade EWS on Windows
Upgrade EWS on Solaris

If these should have stayed in and are valid, please let me know and I will put them back.
Comment 5 Misha H. Ali 2012-10-12 01:34:36 EDT
Added information for upgrade to the beginning of the guide:

1.3. Installation and Upgrade
Comment 7 Libor Fuka 2012-10-12 05:50:01 EDT
Its OK, upgrade is not supported. Customers will do fresh installation.
Comment 8 Misha H. Ali 2012-11-08 17:11:10 EST
This bug is set to CLOSED CURRENT RELEASE to indicate that this fix is now released and available at access.redhat.com.

Note You need to log in before you can comment on or make changes to this bug.